Package csb :: Package statmech :: Module ensembles :: Class TsallisEnsemble

[frames] | no frames]

# Class TsallisEnsemble

source code

             object --+
                      |
    StatisticalEnsemble --+
                          |
                         TsallisEnsemble

Nested Classes
Inherited from `StatisticalEnsemble`: `__metaclass__`

Instance Methods

__init__(self, q=1.0, e_min=0.0) x.__init__(...) initializes x; see help(type(x)) for signature | source code

energy(self, raw_energies) Transforms the raw energies as if they were observed in this statistical ensemble | source code

Inherited from `StatisticalEnsemble`: `__call__`, `gradient`, `log_prob` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``])``

Properties
| e_min lower bound of the energy
| q q-analoge of the temperature
Inherited from `object`: `__class__`

Method Details

### __init__(self, q=1.0, e_min=0.0)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### energy(self, raw_energies)

source code

Transforms the raw energies as if they were observed in this statistical ensemble

Overrides: StatisticalEnsemble.energy
  (inherited documentation)

Property Details

### e_min

lower bound of the energy

Get Method:
  unreachable.e_min(self) - lower bound of the energy
Set Method:
  unreachable.e_min(self, value)

### q

q-analoge of the temperature

Get Method:
  unreachable.q(self) - q-analoge of the temperature
Set Method:
  unreachable.q(self, value)